Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxNpeMh.h File Reference This file contains the public API for the IXP425 NPE Message Handler component. More... Go to the source code of this file.
## Data Structures
struct | IxNpeMhMessage
| The 2-word message structure to send to and receive from the NPEs. More...
## Defines
#define | IX_NPEMH_MIN_MESSAGE_ID
| minimum valid message ID
#define | IX_NPEMH_MAX_MESSAGE_ID
| maximum valid message ID
#define | IX_NPEMH_SEND_RETRIES_DEFAULT
| default msg send retries
## Typedefs
typedef UINT32 | IxNpeMhMessageId
| message ID
typedef void(* | IxNpeMhCallback )(IxNpeMhNpeId, IxNpeMhMessage)
| This prototype shows the format of a message callback function.
## Enumerations
enum | IxNpeMhNpeId { IX_NPEMH_NPEID_NPEA, IX_NPEMH_NPEID_NPEB, IX_NPEMH_NPEID_NPEC, IX_NPEMH_NUM_NPES }
| The ID of a particular NPE. More...
enum | IxNpeMhNpeInterrupts { IX_NPEMH_NPEINTERRUPTS_NO, IX_NPEMH_NPEINTERRUPTS_YES }
| Indicator specifying whether or not NPE interrupts should drive receiving of messages from the NPEs. More...
## Functions
IX_STATUS | ixNpeMhInitialize (IxNpeMhNpeInterrupts npeInterrupts)
| This function will initialise the IxNpeMh component.
IX_STATUS | ixNpeMhUnload (void)
| This function will uninitialise the IxNpeMh component.
IX_STATUS | ixNpeMhUnsolicitedCallbackRegister (IxNpeMhNpeId npeId, IxNpeMhMessageId messageId, IxNpeMhCallback unsolicitedCallback)
| This function will register an unsolicited callback for a particular NPE and message ID.
IX_STATUS | ixNpeMhUnsolicitedCallbackForRangeRegister (IxNpeMhNpeId npeId, IxNpeMhMessageId minMessageId, IxNpeMhMessageId maxMessageId, IxNpeMhCallback unsolicitedCallback)
| This function will register an unsolicited callback for a particular NPE and range of message IDs.
IX_STATUS | ixNpeMhMessageSend (IxNpeMhNpeId npeId, IxNpeMhMessage message, UINT32 maxSendRetries)
| This function will send a message to a particular NPE.
IX_STATUS | ixNpeMhMessageWithResponseSend (IxNpeMhNpeId npeId, IxNpeMhMessage message, IxNpeMhMessageId solicitedMessageId, IxNpeMhCallback solicitedCallback, UINT32 maxSendRetries)
| This function is equivalent to the ixNpeMhMessageSend() function, but must be used when the message being sent will solicited a response.
IX_STATUS | ixNpeMhMessagesReceive (IxNpeMhNpeId npeId)
| This function will receive messages from a particular NPE and pass each message to the client via a solicited callback (for solicited messages) or an unsolicited callback (for unsolicited messages).
IX_STATUS | ixNpeMhShow (IxNpeMhNpeId npeId)
| This function will display the current state of the IxNpeMh component.
IX_STATUS | ixNpeMhShowReset (IxNpeMhNpeId npeId)
| This function will reset the current state of the IxNpeMh component.
## Detailed Description This file contains the public API for the IXP425 NPE Message Handler component. Date: 14 Dec 2001 Version: Revision 1.24 -- Intel Copyright Notice -- Copyright 2001-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxNpeMh.h.
Automatically generated from sources. © Intel Corp. 2003